Bug 240428 - print/hplip: Update to 3.18.6
Summary: print/hplip: Update to 3.18.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-09-08 23:54 UTC by Alan Somers
Modified: 2019-11-03 15:12 UTC (History)
0 users

See Also:
woodsb02: maintainer-feedback+


Attachments
Updates print/hplip to 3.18.6 (5.44 KB, patch)
2019-09-08 23:54 UTC, Alan Somers
no flags Details | Diff
Update hplip and hplip-plugin to 3.18.6 (6.43 KB, patch)
2019-09-10 17:07 UTC, Alan Somers
woodsb02: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2019-09-08 23:54:50 UTC
Created attachment 207300 [details]
Updates print/hplip to 3.18.6
Comment 1 Alan Somers freebsd_committer 2019-09-09 16:59:27 UTC
As far as QA goes, I've done Poudriere builds on 11.3 and 12.0 with the default options and all options, and I'm using it on 12.0 now.
Comment 2 Alan Somers freebsd_committer 2019-09-10 17:07:12 UTC
Created attachment 207352 [details]
Update hplip and hplip-plugin to 3.18.6

The second patch updates both print/hplip and print/hplip-plugin
Comment 3 Ben Woods freebsd_committer 2019-11-03 14:56:12 UTC
Thanks for the patch - working on final testing and then committing this now.
Comment 4 commit-hook freebsd_committer 2019-11-03 15:07:16 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Nov  3 15:06:32 UTC 2019
New revision: 516430
URL: https://svnweb.freebsd.org/changeset/ports/516430

Log:
  print/hplip and print/hplip-plugin: Update to 3.18.6

  Changes this release:
    https://developers.hp.com/hp-linux-imaging-and-printing/release_notes

  PR:		240428
  Submitted by:	asomers

Changes:
  head/print/hplip/Makefile
  head/print/hplip/distinfo
  head/print/hplip/pkg-plist
  head/print/hplip-plugin/Makefile
  head/print/hplip-plugin/distinfo
Comment 5 Ben Woods freebsd_committer 2019-11-03 15:11:58 UTC
Committed - thanks!